/*---------------------------------------------------------------------------*\
  ==  == ====== ====   ====    |
                    \\     ||  | Unsupported Contributions for OpenFOAM
  ======   //   ||  || ===//   |
  ||  ||  //    ||  // || \\   | Copyright (C) 2021 OpenFOAM Foundation
  ==  == ====== ====   ==  ==  | and Helmholtz-Zentrum Dresden-Rossendorf
-------------------------------------------------------------------------------
License
    This file is a derivative work of OpenFOAM.

    OpenFOAM is free software: you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
    FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    for more details.

    You should have received a copy of the GNU General Public License
    along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.

\*---------------------------------------------------------------------------*/

#include "phaseDynamicMomentumTransportModels.H"
#include "makeStructuralMomentumTransportModel.H"

// * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * //

#define makePureStructuralLESModel(Type)                                       \
    makeTemplatedStructuralMomentumTransportModel                              \
    (dynamicTransportModelPhaseCompressibleMomentumTransportModel,             \
     LES, pure, Type)

#define makeKobayashiStructuralLESModel(Type)                                  \
    makeTemplatedStructuralMomentumTransportModel                              \
    (dynamicTransportModelPhaseCompressibleMomentumTransportModel,             \
     LES, Kobayashi, Type)

#define makeKleinStructuralLESModel(Type)                                      \
    makeTemplatedStructuralMomentumTransportModel                              \
    (dynamicTransportModelPhaseCompressibleMomentumTransportModel,             \
     LES, Klein, Type)

#define makeMixedStructuralLESModel(StrType, EvType)                           \
    makeTemplatedMixedStructuralMomentumTransportModel                         \
    (dynamicTransportModelPhaseCompressibleMomentumTransportModel,             \
     LES, StrType, EvType)


// ************************************************************************* //
